Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1517891 - Tag: Internal Server Error while open edit tag page for Ansible Tower Provider
Summary: Tag: Internal Server Error while open edit tag page for Ansible Tower Provider
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.9.0
Assignee: lgalis
QA Contact: Ruslana Babyuk
URL:
Whiteboard: ui:tag
Depends On: 1510821
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-27 16:23 UTC by Satoe Imaishi
Modified: 2018-03-06 15:24 UTC (History)
8 users (show)

Fixed In Version: 5.9.0.11
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1510821
Environment:
Last Closed: 2018-03-06 15:24:20 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)

Comment 3 CFME Bot 2017-11-29 20:41:03 UTC
New commit detected on ManageIQ/manageiq-ui-classic/gaprindashvili:
https://github.com/ManageIQ/manageiq-ui-classic/commit/86b0e676828683a89038a65b869fa5515474ccc5

commit 86b0e676828683a89038a65b869fa5515474ccc5
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Tue Nov 21 18:40:36 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Nov 27 11:25:02 2017 -0500

    Merge pull request #2783 from lgalis/tagging_based_on_ansible_provider_node
    
    Fix Ansible Tower provider node tagging to take into account the selected node model
    (cherry picked from commit 19e4158c2d1883a51de62bed8ebbec310eff77c4)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1517891

 app/controllers/automation_manager_controller.rb   | 18 +++++----
 .../toolbar/automation_manager_provider_center.rb  | 15 --------
 .../configured_system/automation/policy_mixin.rb   | 25 ++++++++++++
 .../configured_system/automation_policy_mixin.rb   | 25 ------------
 .../configured_system/foreman/lifecycle_mixin.rb   | 26 +++++++++++++
 .../configured_system/foreman/policy_mixin.rb      | 24 ++++++++++++
 .../toolbar/configured_system/lifecycle_mixin.rb   | 26 -------------
 .../toolbar/configured_system/policy_mixin.rb      | 24 ------------
 .../toolbar/configured_systems_ansible_center.rb   |  2 +-
 .../toolbar/configured_systems_center.rb           |  4 +-
 .../toolbar/unassigned_profiles_group_center.rb    |  4 +-
 ...nager_ansible_tower_configured_system_center.rb | 21 +++++++++-
 app/helpers/application_helper/toolbar_chooser.rb  |  2 +-
 .../automation_manager_controller_spec.rb          | 45 ++++++++++++++++++++++
 14 files changed, 157 insertions(+), 104 deletions(-)
 create mode 100644 app/helpers/application_helper/toolbar/configured_system/automation/policy_mixin.rb
 delete mode 100644 app/helpers/application_helper/toolbar/configured_system/automation_policy_mixin.rb
 create mode 100644 app/helpers/application_helper/toolbar/configured_system/foreman/lifecycle_mixin.rb
 create mode 100644 app/helpers/application_helper/toolbar/configured_system/foreman/policy_mixin.rb
 delete mode 100644 app/helpers/application_helper/toolbar/configured_system/lifecycle_mixin.rb
 delete mode 100644 app/helpers/application_helper/toolbar/configured_system/policy_mixin.rb

Comment 4 CFME Bot 2017-11-29 20:42:36 UTC
New commit detected on ManageIQ/manageiq-ui-classic/gaprindashvili:
https://github.com/ManageIQ/manageiq-ui-classic/commit/ed879f64f2d42b0f72978cc506415d6c0ebd5401

commit ed879f64f2d42b0f72978cc506415d6c0ebd5401
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Fri Nov 24 09:36:35 2017 +0100
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Nov 27 12:55:56 2017 -0500

    Merge pull request #2814 from romanblanco/fix_ansible_automation
    
    Corrected mixin include for automation manager toolbar
    (cherry picked from commit 5e8d50e9230ec578ad49035adb55e8b1eb4f839b)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1517891

 .../toolbar/x_ansible_tower_configured_system_center.rb                 | 2 +-
 .../toolbar/x_automation_manager_configured_system_center.rb            | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)


Note You need to log in before you can comment on or make changes to this bug.